/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.performance.arm;

import jgroup.core.registry.DependableRegistry;
import jgroup.core.registry.RegistryFactory;

/**
 * @author Hein Meling
 */
public class ChainedClient
{
  public static void main(String[] args)
    throws Exception
  {
    DependableRegistry registry = RegistryFactory.getRegistry();
    ChainedInvocationTest chain = (ChainedInvocationTest) registry.lookup("ARM/ChainedInvocation");
    System.out.println("Response: " + chain.chainResult("Hein"));
  }
}
